ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
jquery_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_accordion_section (&$Settings)
| compile_tab_control (&$Settings)
| compile_add_tab (&$Settings)
| compile_add_iframe_tab (&$Settings)

## Data Fields
| $CachedMultyFS = false

## Detailed Description

Class loads jquery macroes.

Author
  Dodonov A.A.

Definition at line 26 of file jquery_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 54 of file jquery_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_accordion_section | ( | & | $Settings | ) |

Function compiles macro 'accordion_section'.

Parameters

  $Settings | - Settings.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file jquery_markup.php.

{
try
{
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'accordeon_section.tpl' );
$Code = str_replace( '{title}' , $Settings->get_setting( 'title' ) , $Code );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_add_iframe_tab | ( | & | $Settings | ) |

Function compiles macro 'add_iframe_tab'.

Parameters

  $Settings | - Settings.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 208 of file jquery_markup.php.

{
try
{
$Tab = $this->CachedMultyFS->get_template( __FILE__ , 'add_iframe_tab.tpl' );
$Selector = $Settings->get_setting( 'selector' , '' );
$Tab = str_replace(
array( '{id}' , '{url}' , '{title}' , '{index}' , '{height}' , '{closable}' ) ,
array(
$Settings->get_setting( 'id' , $Selector ) , $Settings->get_setting( 'url' ) ,
$Settings->get_setting( 'title' , 'title' ) , $Settings->get_setting( 'index' , -1 ) ,
$Settings->get_setting( 'height' , 'auto' ) ,
$Settings->get_setting( 'closable' , false ) !== false ? 'true' : 'false'
) , $Tab
);
return( $Tab );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_add_tab | ( | & | $Settings | ) |

Function compiles macro 'add_tab'.

Parameters

  $Settings | - Settings.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 164 of file jquery_markup.php.

{
try
{
$Settings->get_setting( 'id' );
$Settings->get_setting( 'content_id' );
$Settings->set_undefined( 'title' , 'title' );
$Settings->set_undefined( 'index' , -1 );
$Settings->set_undefined( 'closable' , 'true' );
$Tab = $this->CachedMultyFS->get_template( __FILE__ , 'add_tab.tpl' );
$Data = $Settings->get_raw_settings();
return( $Tab );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_tab_control | ( | & | $Settings | ) |

Function compiles macro 'tab_control'.

Parameters

  $Settings | - Settings.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 125 of file jquery_markup.php.

{
try
{
$TabControl = $this->CachedMultyFS->get_template( __FILE__ , 'tab_control.tpl' );
$Selector = $Settings->get_setting( 'selector' , md5( microtime( true ) ) );
$id = $Settings->get_setting( 'id' , $Selector );
return( str_replace( '{id}' , $id , $TabControl ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file jquery_markup.php.

The documentation for this class was generated from the following file:

- packages/jquery/packages/jquery_markup/jquery_markup.php